zed: |
   cut x = shape({a:{a:float64,b:float64}})

input: |
  {"a": {"a": 1}}
  {"a": {"b": 1}}
  {"a": {"c": 1, "b": 1}}

output-flags: -f tzng

output: |
  #0:record[x:record[a:record[a:float64,b:float64]]]
  0:[[[1;-;]]]
  0:[[[-;1;]]]
  #1:record[x:record[a:record[a:float64,b:float64,c:int64]]]
  1:[[[-;1;1;]]]
